# utiliser des fichiers excell

import openpyxl # un module parmi d'autres...
# from openpyxl.utils import get_column_letter

wb = openpyxl.load_workbook('exemple.xlsx')
print(wb.active) # quelle est le worksheet actif
feuille = wb['Sheet1']

print('='*30) 
print(feuille['B5'].value)     # accéder à des contenus
print(feuille['C6'].value)
print(feuille.cell(row=1,column=4).value) # les indices commencent à 1

print('='*30) 
print('nombre lignes ',feuille.max_row)
print('nombre colonnes ',feuille.max_column)

print('='*30) 
for i in range(1,feuille.max_row+1):
    print('ligne {:2d} : {}'.format(i,feuille.cell(row=i,column=1).value))

l=[]
for i in range(2,feuille.max_row+1):
    l.append(feuille.cell(row=i,column=3).value)
print(l)
print('moyenne de la classe {:4.2f}'.format(sum(l)/len(l)))

# création d'un dictionnaire de dictionnaire !

l={} 
cles=['nom','prenom','analyse','algebre','geometrie']

print('\n\n\n')

#for i in range(2,5):
for i in range(2,feuille.max_row+1):
    dico={}
    for j in range(2,feuille.max_column+1):
            dico.update({cles[j-1]:feuille.cell(row=i,column=j).value})
    l.update( {feuille.cell(row=i,column=1).value : dico} )       

print(l)

print('='*30) 

print(l['Descartes'])
print(l['Descartes']['prenom'])

# ajout dans le fichier

# feuille['A15']='test'
# wb.save('exemple.xlsx')
